dbXML API

## com.dbxml.db.core.query.helpers
Class ResultSetWrapper

    java.lang.Object
      com.dbxml.db.core.query.helpers.ResultSetWrapper

public final class ResultSetWrapper
extends java.lang.Object

ResultSetWrapper converts a ResultSet into a standard, single-Document representation for wire transmission or for further query processing, such as in the case of XSLT transformation.

Field Summary
`static java.lang.String` `COL`
`static java.lang.String` `COUNT`
`static java.lang.String` `KEY`
`static java.lang.String` `RESULT`
`static java.lang.String` `RESULTS`

Constructor Summary
`ResultSetWrapper(ResultSet rs)`

Method Summary
`org.w3c.dom.Document` `toDocument()`
`static org.w3c.dom.Document` `toDocument(ResultSet rs)`
`DocumentTable` `toDocumentTable()`
`static DocumentTable` `toDocumentTable(ResultSet rs)`
`void` `toSAX(org.xml.sax.ContentHandler handler)`
`static void` `toSAX(ResultSet rs, org.xml.sax.ContentHandler handler)`
`java.lang.String` `toText()`
`static java.lang.String` `toText(ResultSet rs)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESULTS

    public static final java.lang.String RESULTS

See Also:
  Constant Field Values

### RESULT

    public static final java.lang.String RESULT

See Also:
  Constant Field Values

### COL

    public static final java.lang.String COL

See Also:
  Constant Field Values

### KEY

    public static final java.lang.String KEY

See Also:
  Constant Field Values

### COUNT

    public static final java.lang.String COUNT

See Also:
  Constant Field Values

Constructor Detail

### ResultSetWrapper

    public ResultSetWrapper(ResultSet rs)

Method Detail

### toSAX

    public void toSAX(org.xml.sax.ContentHandler handler)
               throws QueryException

  Throws:
    `QueryException`

### toDocumentTable

    public DocumentTable toDocumentTable()
                                  throws QueryException

  Throws:
    `QueryException`

### toDocument

    public org.w3c.dom.Document toDocument()
                                    throws QueryException

  Throws:
    `QueryException`

### toText

    public java.lang.String toText()
                            throws QueryException

  Throws:
    `QueryException`

### toSAX

    public static void toSAX(ResultSet rs,
                             org.xml.sax.ContentHandler handler)
                      throws QueryException

  Throws:
    `QueryException`

### toDocumentTable

    public static DocumentTable toDocumentTable(ResultSet rs)
                                         throws QueryException

  Throws:
    `QueryException`

### toDocument

    public static org.w3c.dom.Document toDocument(ResultSet rs)
                                           throws QueryException

  Throws:
    `QueryException`

### toText

    public static java.lang.String toText(ResultSet rs)
                                   throws QueryException

  Throws:
    `QueryException`

dbXML API

Copyright (c) 2004 The dbXML Group